List NVMe namespaces in an organization in NetApp Console local deployment
GET /organizations/{organization_id}/namespaces
Lists all NVMe namespaces in the specified organization.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organization_id |
string |
path |
True |
Identifier for an organization. |
count |
string |
query |
False |
Indicates if the total number of resources should be returned in the response object. URL examples: "count=true" OpenAPI examples: "true" |
filter |
string |
query |
False |
Specifies which fields should be matched in order to return a resource when listing a collection. Supported operators:
URL example: "filter=field%20eq%20%27value%27" OpenAPI examples: "field eq 'value'" |
include |
string |
query |
False |
Specifies which fields should be returned when listing a collection. URL examples: "include=id", "include=id,name" OpenAPI examples: "id" |
limit |
string |
query |
False |
Specifies the maximum number of resources to return when listing a collection. URL examples: "limit=2" OpenAPI examples: "2" |
metadata |
string |
query |
False |
Indicates if the metadata should be returned in the response object. URL examples: "metadata=true" OpenAPI examples: "true" |
orderBy |
string |
query |
False |
Indicates the sort order of resources when listing a collection. URL examples: "orderBy=name", "orderBy=name%20desc" OpenAPI examples: "name desc" |
skip |
string |
query |
False |
Specifies the number of resources to skip when listing a collection. URL examples: "skip=1" OpenAPI examples: "1" |
Response
Status: 200, OK
| Name | Type | Required | Description |
|---|---|---|---|
count |
integer |
False |
Total number of resources in the collection that match the query. |
items |
True |
NVMe namespaces in the collection. |
Example response
{
"count": 2,
"items": [
{
"cluster": {
"id": "2c5f8a9b-4e7d-4c1a-b8f3-6e9d2a5c8f1b",
"name": "cluster-01"
},
"clusterPersonality": "ASA_R2",
"id": "c08d213b-3c38-4c07-bde0-852ef821b815",
"metadata": {
"modificationTimestamp": "2026-01-16T14:32:48.789123Z"
},
"metrics": {
"iops": {
"total": 345.2
},
"latency": {
"average": 89.34
},
"throughput": {
"total": 87593.6
}
},
"name": "/vol/vol1/namespace1",
"organizationId": "3b8f9e2a-7c4d-4e8f-a1b2-9d6e7f8a9b0c",
"space": {
"available": 824633720832,
"size": 1374389534720,
"used": 549755813888
},
"state": "ONLINE",
"subsystem": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "subsystem-01"
},
"svm": {
"id": "4a7b9e2c-8f5d-4c3a-b1e6-9d2f4c7a8e5b",
"name": "svm-01"
},
"type": "application/vnd.netapp.bxp.namespace",
"version": "1.0",
"volume": {
"id": "8e2f9d4c-6a5b-4f8e-a2d7-5c9e4f2a7b8d",
"name": "volume-01"
},
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
},
{
"cluster": {
"id": "2c5f8a9b-4e7d-4c1a-b8f3-6e9d2a5c8f1b",
"name": "cluster-01"
},
"clusterPersonality": "ASA_R2",
"id": "6b8e1f9a-3c7d-4a2e-8f5b-1d4c7e9a6b2f",
"metadata": {
"modificationTimestamp": "2026-01-16T14:35:22.456789Z"
},
"metrics": {
"iops": {
"total": 189.7
},
"latency": {
"average": 203.68
},
"throughput": {
"total": 45821.9
}
},
"name": "/vol/vol2/namespace2",
"organizationId": "3b8f9e2a-7c4d-4e8f-a1b2-9d6e7f8a9b0c",
"space": {
"available": 395136991232,
"size": 859832668160,
"used": 464695676928
},
"state": "ONLINE",
"subsystem": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "subsystem-02"
},
"svm": {
"id": "9c2e5f7a-4b8d-4f1c-a7e3-6d9f2c5e8a1b",
"name": "svm-02"
},
"type": "application/vnd.netapp.bxp.namespace",
"version": "1.0",
"volume": {
"id": "3a6d9f2c-5e8b-4f4a-c7d1-8e5a3d6f9c2e",
"name": "volume-02"
},
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
}
]
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Definitions
See Definitions
cluster_1.0_reference
Reference to an ONTAP cluster.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the cluster. |
name |
string |
False |
Cluster name. |
common_1.0_inventory_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
modificationTimestamp |
string |
False |
Resource modification date. |
iops
IOPS metrics for the NVMe namespace.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of I/O operations observed at the storage object. |
latency
Latency metrics for the NVMe namespace.
| Name | Type | Required | Description |
|---|---|---|---|
average |
number |
False |
The average round trip latency observed at the storage object in microseconds. |
throughput
Throughput metrics for the NVMe namespace.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of throughput observed at the storage object in bytes per second. |
namespace_1.0_metrics
| Name | Type | Required | Description |
|---|---|---|---|
iops |
False |
IOPS metrics for the NVMe namespace. |
|
latency |
False |
Latency metrics for the NVMe namespace. |
|
throughput |
False |
Throughput metrics for the NVMe namespace. |
namespace_1.0_space
| Name | Type | Required | Description |
|---|---|---|---|
available |
integer |
False |
The available space in bytes. |
size |
integer |
False |
The total provisioned size of the NVMe namespace in bytes. |
used |
integer |
False |
The amount of space consumed by the NVMe namespace in bytes. |
subsystem
NVMe subsystem to which the namespace is mapped.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the NVMe subsystem to which the namespace is mapped. |
name |
string |
False |
Name of the NVMe subsystem to which the namespace is mapped. |
svm_1.0_reference
Reference to an ONTAP SVM.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the SVM. |
name |
string |
False |
SVM name. |
volume_1.0_reference
Reference to an ONTAP volume.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the volume. |
name |
string |
False |
Volume name. |
namespace_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
cluster |
False |
Reference to an ONTAP cluster.
|
|
clusterPersonality |
string |
False |
The personality of the ONTAP cluster that the NVMe namespace belongs to, derived from the cluster's disaggregated and SAN-optimized configuration. Defined values are:
|
id |
string |
False |
Identifier of the NVMe namespace. |
metadata |
False |
Metadata associated with the resource. |
|
metrics |
False |
||
name |
string |
False |
NVMe namespace name. |
organizationId |
string |
False |
Identifier for an organization. |
space |
False |
||
state |
string |
False |
The state of the NVMe namespace. Defined values are:
|
subsystem |
False |
NVMe subsystem to which the namespace is mapped. |
|
svm |
False |
Reference to an ONTAP SVM.
|
|
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource. Defined values are:
|
volume |
False |
Reference to an ONTAP volume.
|
|
workingEnvironmentId |
string |
False |
Identifier for the asset's system. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |